import createAxios from '@/utils/request'
//上传文件
export function uploadFile(data: any) {
    return createAxios({
        url: '/process-boot/rFlowProcess/uploadFile',
        method: 'post',
        data
    })
}
//新增申请单
export function addFlow(data: any) {
    return createAxios({
        url: '/process-boot/rFlowProcess/add',
        method: 'POST',
        data
    })
}
//更新申请单
export function update(data: any) {
    return createAxios({
        url: '/process-boot/rFlowProcess/update',
        method: 'POST',
        data
    })
}
//提交申请单审核
export function createCheckflow(data: any) {
    return createAxios({
        url: '/process-boot/rFlowProcess/createCheckflow',
        method: 'POST',
        params: data
    })
}
//提交申请单审核
export function getFileUrl(data: any) {
    return createAxios({
        url: '/process-boot/rFlowProcess/getFileUrl',
        method: 'POST',
        params: data
    })
}
